MS08-041: Vulnerability in the ActiveX Control for the Snapshot Viewer for Microsoft Access Could Allow Remote Code Execution (955617)

High Nessus Plugin ID 33870


Arbitrary code can be executed on the remote host through the web client.


The remote host contains a version of the ActiveX control for the Snapshot Viewer for Microsoft Access which is vulnerable to a security flaw that could allow an attacker to execute arbitrary code on the remote host by constructing a malicious web page and entice a victim to visit it.


Microsoft has released a set of patches for Microsoft Office 2000, XP and 2003.

See Also

Plugin Details

Severity: High

ID: 33870

File Name: smb_nt_ms08-041.nasl

Version: $Revision: 1.30 $

Type: local

Agent: windows

Published: 2008/08/13

Modified: 2017/08/10

Dependencies: 57033, 13855

Risk Information

Risk Factor: High


Base Score: 9.3

Temporal Score: 8.1

Vector: CVSS2#AV:N/AC:M/Au:N/C:C/I:C/A:C

Temporal Vector: CVSS2#E:H/RL:OF/RC:C

Vulnerability Information

CPE: cpe:/a:microsoft:office, cpe:/a:microsoft:access

Required KB Items: SMB/MS_Bulletin_Checks/Possible

Exploit Available: true

Exploit Ease: Exploits are available

Patch Publication Date: 2008/08/12

Vulnerability Publication Date: 2008/07/07

Exploitable With

CANVAS (D2ExploitPack)

Core Impact

Metasploit (Snapshot Viewer for Microsoft Access ActiveX Control Arbitrary File Download)

Reference Information

CVE: CVE-2008-2463

BID: 30114

OSVDB: 46749

CERT: 837785

MSFT: MS08-041

MSKB: 955617

CWE: 94